cURL
curl https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4/vault/Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH
import requests
response = requests.get("https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4/vault/Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4/vault/Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"post_offer_event_id": 35146,
"status": "removed",
"order_role": "maker",
"order_type": "sellYT",
"amount_received": 59052,
"amount_filled": 1694765,
"amount_remaining": 27764253,
"original_amount": 29459018,
"implied_apy": 107688,
"filled_implied_apy": 107688,
"filled_sy_exchange_rate": 1.118510696053855,
"tx_signature": "43ijQfwcE5sc9cJH4Vx8xQFzw4N4gnDYQKnFmsFGRJQpYjWmcPANNrWj5ALwSvh5wKKzJrNxncwVQeh8TYQdV2Pd",
"updated_at": "2026-10-13T15:38:57+00:00",
"orderbook_address": "8JtnQcProV3bF1KUF9ohqRrnGpQCmMjTS6XxXv1aoXam",
"vault_address": "Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH",
"offer_idx": 4,
"num_fills": 2,
"created_at": "2026-10-13T14:51:07+00:00",
"market_offer_event_id": null
},
{
"post_offer_event_id": 35147,
"status": "removed",
"order_role": "maker",
"order_type": "buyYT",
"amount_received": 0,
"amount_filled": 0,
"amount_remaining": 89404,
"original_amount": 89404,
"implied_apy": 107328,
"filled_implied_apy": null,
"filled_sy_exchange_rate": null,
"tx_signature": "WSnaKpffSur3VZm34YTWVgxGqrQrHg4VP7VT6hbjzvNt4ZSuegftu8QGCTM5jWNu6s387enTMHza4UnbDAuBr8W",
"updated_at": "2026-10-13T15:38:57+00:00",
"orderbook_address": "8JtnQcProV3bF1KUF9ohqRrnGpQCmMjTS6XxXv1aoXam",
"vault_address": "Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH",
"offer_idx": 5,
"num_fills": 0,
"created_at": "2026-10-13T14:51:29+00:00",
"market_offer_event_id": null
}
]
{
"error": "<message>"
}
Order Book
Filled orders by wallet and vault
Retrieve indexed filled orders for one wallet and vault.
GET
/
filled-orders
/
user
/
{userAddress}
/
vault
/
{vaultAddress}
cURL
curl https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4/vault/Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH
import requests
response = requests.get("https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4/vault/Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4/vault/Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"post_offer_event_id": 35146,
"status": "removed",
"order_role": "maker",
"order_type": "sellYT",
"amount_received": 59052,
"amount_filled": 1694765,
"amount_remaining": 27764253,
"original_amount": 29459018,
"implied_apy": 107688,
"filled_implied_apy": 107688,
"filled_sy_exchange_rate": 1.118510696053855,
"tx_signature": "43ijQfwcE5sc9cJH4Vx8xQFzw4N4gnDYQKnFmsFGRJQpYjWmcPANNrWj5ALwSvh5wKKzJrNxncwVQeh8TYQdV2Pd",
"updated_at": "2026-10-13T15:38:57+00:00",
"orderbook_address": "8JtnQcProV3bF1KUF9ohqRrnGpQCmMjTS6XxXv1aoXam",
"vault_address": "Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH",
"offer_idx": 4,
"num_fills": 2,
"created_at": "2026-10-13T14:51:07+00:00",
"market_offer_event_id": null
},
{
"post_offer_event_id": 35147,
"status": "removed",
"order_role": "maker",
"order_type": "buyYT",
"amount_received": 0,
"amount_filled": 0,
"amount_remaining": 89404,
"original_amount": 89404,
"implied_apy": 107328,
"filled_implied_apy": null,
"filled_sy_exchange_rate": null,
"tx_signature": "WSnaKpffSur3VZm34YTWVgxGqrQrHg4VP7VT6hbjzvNt4ZSuegftu8QGCTM5jWNu6s387enTMHza4UnbDAuBr8W",
"updated_at": "2026-10-13T15:38:57+00:00",
"orderbook_address": "8JtnQcProV3bF1KUF9ohqRrnGpQCmMjTS6XxXv1aoXam",
"vault_address": "Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH",
"offer_idx": 5,
"num_fills": 0,
"created_at": "2026-10-13T14:51:29+00:00",
"market_offer_event_id": null
}
]
{
"error": "<message>"
}
Path parameters
string
required
User wallet address.
string
required
Vault address.
cURL
curl https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4/vault/Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH
import requests
response = requests.get("https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4/vault/Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/filled-orders/user/HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4/vault/Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"post_offer_event_id": 35146,
"status": "removed",
"order_role": "maker",
"order_type": "sellYT",
"amount_received": 59052,
"amount_filled": 1694765,
"amount_remaining": 27764253,
"original_amount": 29459018,
"implied_apy": 107688,
"filled_implied_apy": 107688,
"filled_sy_exchange_rate": 1.118510696053855,
"tx_signature": "43ijQfwcE5sc9cJH4Vx8xQFzw4N4gnDYQKnFmsFGRJQpYjWmcPANNrWj5ALwSvh5wKKzJrNxncwVQeh8TYQdV2Pd",
"updated_at": "2026-10-13T15:38:57+00:00",
"orderbook_address": "8JtnQcProV3bF1KUF9ohqRrnGpQCmMjTS6XxXv1aoXam",
"vault_address": "Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH",
"offer_idx": 4,
"num_fills": 2,
"created_at": "2026-10-13T14:51:07+00:00",
"market_offer_event_id": null
},
{
"post_offer_event_id": 35147,
"status": "removed",
"order_role": "maker",
"order_type": "buyYT",
"amount_received": 0,
"amount_filled": 0,
"amount_remaining": 89404,
"original_amount": 89404,
"implied_apy": 107328,
"filled_implied_apy": null,
"filled_sy_exchange_rate": null,
"tx_signature": "WSnaKpffSur3VZm34YTWVgxGqrQrHg4VP7VT6hbjzvNt4ZSuegftu8QGCTM5jWNu6s387enTMHza4UnbDAuBr8W",
"updated_at": "2026-10-13T15:38:57+00:00",
"orderbook_address": "8JtnQcProV3bF1KUF9ohqRrnGpQCmMjTS6XxXv1aoXam",
"vault_address": "Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH",
"offer_idx": 5,
"num_fills": 0,
"created_at": "2026-10-13T14:51:29+00:00",
"market_offer_event_id": null
}
]
{
"error": "<message>"
}